LSH-EXPORT-KEY(1)

NAME
lsh-export-key - Reads the key on stdin and output in OpenSSH/SSH2 format.

SYNOPSIS
lsh-export-key [OPTION...]

DESCRIPTION
CAUTION! The information in this manpage may be invalid or outdated. For authorative information on lsh, please see it's Texinfo manual (see the SEE ALSO section).

The given key (supplied on stdin or in the file given with the --input-file option) is read and written to stdout (or the file supplied by the --output-file option) in the desired format (fingerprint, OpenSSH format or SSH2/IETF style).

EXAMPLES

To convert the default public key (~/.lsh/identity.pub) to OpenSSH format (to put in authorized_keys on a host using the OpenSSH sshd).

$ lsh-export-key --openssh < ~/.lsh/identity.pub

To check the fingerprint of your servers key.

$ lsh-export-key --fingerprint < /etc/lsh_host_key.pub
MD5 fingerprint: b9:86:04:e0:89:2b:5b:c7:0c:2b:4b:3f:24:d2:41:59
Bubble Babble: xefes-vyrum-buduk-nihyr-zotan-sizyr-nazik-hukyv-biloc-caceg-taxyx
$

OPTIONS

-c, --comment=comment string
    Add comment to output key.

--fingerprint
    Show key fingerprint.

-o, --output-file=Filename Default is stdout

--openssh
    Output key in openssh single-line format.

-r, --input-file=Filename
    Default is stdin

-s, --subject=subject string
    Add subject to output key.

--debug
    Print huge amounts of debug information

--log-file=File name
    Append messages to this file.

-q, --quiet
    Suppress all warnings and diagnostic messages

--trace
    Detailed trace

-v, --verbose
    Verbose diagnostic messages

-?, --help
    Give this help list

--usage
    Give a short usage message

-V, --version
    Print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

DIAGNOSTICS
See the --verbose , --trace and --debug options.

REPORTING BUGS
Report bugs to <bug-lsh@gnu.org>.

COPYING
The lsh suite of programs is distributed under the GNU General Public License; see the COPYING and AUTHORS files in the source distribution for details.

AUTHOR
The lsh program suite is written mainly by Niels Möller <nisse@lysator.liu.se>.

This man-page was written for lsh 2.0 by Pontus Freyhult <pont_lsh@soua.net>, it is based on a template written by J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>.

SEE ALSO
DSA(5), lsh(1), lsh-authorize(1), lsh-decode-key(1), lsh-decrypt-key(1), lsh-keygen(1), lsh-make-seed(1), lsh-upgrade(1), lsh-upgrade-key(1), lsh-writekey(1), lshd(8), secsh(5), SHA(5), SPKI(5), ssh-conv(1)

The full documentation for lsh is maintained as a Texinfo manual. If the info and lsh programs are properly installed at your site, the command

    info lsh

should give you access to the complete manual.